#ifndef _PROC_DEF_IMAGEIF_H_
#define _PROC_DEF_IMAGEIF_H_

#include "DSPCommon.h"

#ifdef  __cplusplus
extern "C"
{
#endif

extern void init_imageif_sony_imx136_dsp(UInt32 ivl_width, UInt32 ivl_height,
                                  UInt32 pix_width, UInt32 pix_height);
extern void init_imageif_base(UInt32 ivl_width, UInt32 ivl_height, UInt32 pix_width, UInt32 pix_height);
extern void set_imageif_sony_imx136(void);
//extern void imageif_enc_pic_start(UInt8 PicNum);
extern void imageif_enc_pic_start(UInt8 PicNum , bool wdrMode);


#ifdef  __cplusplus
}
#endif

#endif // _PROC_DEF_IMAGEIF_H_
